## edu.stanford.nlp.ling
Class CoreAnnotations.CharacterOffsetEndAnnotation

    java.lang.Object
      edu.stanford.nlp.ling.CoreAnnotations.CharacterOffsetEndAnnotation

All Implemented Interfaces:
  CoreAnnotation<Integer>, TypesafeMap.Key<CoreMap,Integer>

Enclosing class:
  CoreAnnotations

    public static class CoreAnnotations.CharacterOffsetEndAnnotation

extends Object
implements CoreAnnotation<Integer>

The CoreMap key identifying the offset of the last character after the end of an annotation. The character with index 0 is the first character in the document. This key should be set for any annotation that represents a span of text.

Constructor Summary
`CoreAnnotations.CharacterOffsetEndAnnotation()`

Method Summary
`Class<Integer>` `getType()` Returns the type associated with this annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreAnnotations.CharacterOffsetEndAnnotation

    public CoreAnnotations.CharacterOffsetEndAnnotation()

Method Detail

### getType

    public Class<Integer> getType()

  Description copied from interface: `CoreAnnotation`
  Returns the type associated with this annotation. This method must return the same class type as its value type parameter. It feels like one should be able to get away without this method, but because Java erases the generic type signature, that info disappears at runtime.

  Specified by:
    `getType` in interface `CoreAnnotation<Integer>`

Stanford NLP Group